#!/usr/bin/env python
# -*- coding: utf-8 -*-

import sys
import os

from .bparallel import ParallelRunner
from argparse import ArgumentParser


def main():
    arg_parser = ArgumentParser(description='Запуск behave тестов'
                                            ' в параллельном режиме.')
    arg_parser.add_argument('features', type=str, nargs='+',
                            help='Список feature файлов для запуска.')
    arg_parser.add_argument('--processes', type=int, default=1,
                            help='Кол-во процессов для параллельного запуска.'
                            ' По умолчаиню равен 1')
    arg_parser.add_argument('--selenium-path', default=os.environ['HOME'],
                            help='Полный путь до selenium-server-standalone.')
    arg_parser.add_argument('--firefox-path',
                            default=os.path.join(
                                os.environ['HOME'], 'firefox'),
                            help='Полный путь до firefox-bin.')
    runner_opt, behave_opt = arg_parser.parse_known_args()
    runner_opt = vars(runner_opt)

    runner = ParallelRunner(runner_opt['processes'], runner_opt['features'],
                            behave_opt, runner_opt['selenium_path'],
                            runner_opt['firefox_path'])

    return runner.run()


if __name__ == '__main__':
    sys.exit(main())
